%{!?__python2:%global __python2 /usr/bin/python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?python2_version: %global python2_version %(%{__python2} -c "import platform; print(platform.python_version())")}

%global pypi_name django-appconf

%if 0%{?fedora} || 0%{?rhel} > 7
%bcond_with    python2
%bcond_without python3
%else
%bcond_without python2
%bcond_with    python3
%endif

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        11%{?dist}.1
Summary:        A helper class for handling configuration defaults of packaged apps gracefully

License:        BSD
URL:            http://pypi.python.org/pypi/django-appconf/
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%if %{with python2}
Provides:        python2-django-appconf = %{version}-%{release}
BuildRequires:  python2-devel
BuildRequires:  python-sphinx
BuildRequires:  python-setuptools
BuildRequires:  python-test

BuildRequires:  python-django-discover-runner
BuildRequires:  python-flake8
BuildRequires:  python-coverage
BuildRequires:  python-django

Requires:       python-django
%endif

%description
A helper class for handling configuration
defaults of packaged Django
apps gracefully.

%if %{with python3}
%package -n python3-%{pypi_name}
Summary:        A helper class for handling configuration defaults of packaged apps gracefully

BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-setuptools
BuildRequires:  python3-test
BuildRequires:  python3-django

Requires:   python3-django

%description -n python3-%{pypi_name}
A helper class for handling configuration
defaults of packaged Django
apps gracefully.

%endif

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%if %{with python2}
%{__python2} setup.py build
# generate html docs
sphinx-build docs html
%endif

%if %{with python3}
%{__python3} setup.py build
sphinx-build-3 docs html
%endif

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%if %{with python2}
%{__python2} setup.py install --skip-build --root %{buildroot}
%endif

%if %{with python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
%endif

# checks fail in mock
%check
%if %{with python2}
%{__python2} setup.py test
export PYTHONPATH=.:$PYTHONPATH
export DJANGO_SETTINGS_MODULE=tests.test_settings
coverage run %{_bindir}/django-admin test -v2 test ||:
%endif

%if %{with python3}
export PYTHONPATH=.:$PYTHONPATH
export DJANGO_SETTINGS_MODULE=tests.test_settings
%{__python3} setup.py test
%endif

%if %{with python2}
%files
%doc html README.rst
%license LICENSE
%{python2_sitelib}/appconf
%{python2_sitelib}/django_appconf-%{version}-py%{python2_version}.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%doc html README.rst
%license LICENSE
%{python3_sitelib}/appconf
%{python3_sitelib}/django_appconf-%{version}-py%{python3_version}.egg-info
%endif

%changelog
* Tue Dec 22 2020 CPaaS User <cpaas-ops@redhat.com> - 1.0.1-11.1
- Bump release

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 1.0.1-11
- Bump release number

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 1.0.1-10
- Bump release number

* Wed Oct 14 2020 Vath Sok <vsok@redhat.com> - 1.0.1-9
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 1.0.1-8
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 1.0.1-7
- rebuilt

* Thu Oct 01 2020 Vath Sok <vsok@redhat.com> - 1.0.1-6
- Dynamically get python2 path, version

* Tue Jan 29 2019 Javier Peña <jpena@redhat.com> - 1.0.1-5
- RHEL8-isms

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Aug 27 2015 Matthias Runge <mrunge@redhat.com> - 1.0.1-2
- update to 1.0.1
- python3 subpackage
- fix requirements py/py3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 06 2013 Matthias Runge <mrunge@redhat.com> - 0.6-1
- update to appconf-0.6

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Sep 26 2012 Matthias Runge <mrunge@redhat.com> - 0.5-2
- also add requirement: Django/python-django

* Tue Sep 11 2012 Matthias Runge <mrunge@redhat.com> - 0.5-1
- Initial package.
